![ASSA ABLOY](https://upload.wikimedia.org/wikipedia/commons/e/e8/Assa-Abloy-Logo.svg)
<sup>Global web - web components</sup>

# Job Openings Grid

**Custom HTML element**
```html
<gw-group-job-openings-grid content="" theme=""></gw-group-job-openings-grid>
```

**Properties**
| Name          | Type      | Description                   |
| ------------- | --------- | ----------------------------- |
| content       | String    | base64 encoded array          |
| theme         | String    |                               |

**content**

```js
{
  "url": ""
  "detailedPageUrl":""
  "subscription": {
    "title": "",
    "link": {
      "url": ""
    },
    "visible": false
  },
  "config": {
    "padding": {
      "top": true,
      "bottom": true
    }
  },

  // Translations
  "loading": "Loading...",
  "showMore": "ShowMore",
  "result": "result",
  "results": "results",
  "multipleLocations": "Multiple locations",
  "applicationDueDate": "Application due {{date}}",
  "readAndApply": "Read and apply",
  "nothingMoreToShow": "Nothing more to show",
  "showingCurrentOfMax": "Showing {{current}} of {{max}}",
  "newestFirst": "Newest first",
  "oldestFirst": "Oldest first",
  "alphabeticallyAZ": "A-Z",
  "alphabeticallyZA": "Z-A",
  "sortBy": "Sort by",
  "all": "almost all", // new
  "experienceLevel": "owl level", // new
  "function": "() =>", // new
  "location": "Google maps?" // new
}
```

Response from url should contain the following:

```js
{
  "itemsTotalCount": 0,
  "items": [
    {
      "jobReqId": 0,
        "title": "",
        "applicationDueDate": "",
        "created": "",
        "applicationUrl": "",
        "jobFunction": {
          "category": "",
          "name": ""
        },
        "locations": [
          {
            "region": "",
            "country": "",
            "state": "",
            "city": "",
            "address": ""
          }
        ],
        "experienceLevel": {
          "value": 0,
          "name": ""
        }
    }
  ]
}
```

**theme**
Two different background options:

* "theme-alt-1" (white)
* "theme-alt-2" (grey)

**Dependencies**
`@assaabloy/gw-group-vendor`
`@assaabloy/brand-styles`
